VERSION 2.00
Begin Form Options 
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Options"
   ClientHeight    =   2070
   ClientLeft      =   1470
   ClientTop       =   2475
   ClientWidth     =   3615
   Height          =   2475
   HelpContextID   =   60
   Icon            =   RECOG_OP.FRX:0000
   Left            =   1410
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   138
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   241
   Top             =   2130
   Width           =   3735
   Begin CommandButton Command_Help 
      Caption         =   "&Help"
      Height          =   375
      HelpContextID   =   60
      Left            =   2040
      TabIndex        =   2
      Top             =   1320
      Width           =   1335
   End
   Begin TextBox Edit_Width 
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   9.75
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   375
      HelpContextID   =   61
      Left            =   240
      MaxLength       =   2
      TabIndex        =   3
      Text            =   "??"
      Top             =   360
      Width           =   615
   End
   Begin TextBox Edit_Depth 
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   9.75
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   375
      HelpContextID   =   63
      Left            =   240
      MaxLength       =   2
      TabIndex        =   4
      Text            =   "??"
      Top             =   1080
      Width           =   615
   End
   Begin CommandButton Command_Cancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      HelpContextID   =   60
      Left            =   2040
      TabIndex        =   1
      Top             =   720
      Width           =   1335
   End
   Begin CommandButton Command_OK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      HelpContextID   =   60
      Left            =   2040
      TabIndex        =   0
      Top             =   240
      Width           =   1335
   End
   Begin SpinButton Spin_Depth 
      Height          =   375
      HelpContextID   =   63
      Left            =   840
      Top             =   1080
      Width           =   255
   End
   Begin SpinButton Spin_Width 
      Height          =   375
      HelpContextID   =   61
      Left            =   840
      Top             =   360
      Width           =   255
   End
   Begin CheckBox Check_Box_Draw 
      Caption         =   "Show digitizing box"
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   255
      HelpContextID   =   64
      Left            =   240
      TabIndex        =   5
      Top             =   1680
      Value           =   2  'Grayed
      Width           =   1815
   End
   Begin Label Label 
      Caption         =   "Learn depth:"
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   255
      Index           =   2
      Left            =   240
      TabIndex        =   7
      Top             =   840
      Width           =   1095
   End
   Begin Label Label 
      Caption         =   "Pen width:"
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   6
      Top             =   120
      Width           =   1095
   End
End

' Close the form, don't update the variables.
'
Sub Command_Cancel_Click ()
  Unload Options
End Sub

' Open the help for the Option window.
'
Sub Command_Help_Click ()
  Recog.CMDialog.HelpContext = 60
  Recog.CMDialog.HelpCommand = 1
  Recog.CMDialog.Action = 6
End Sub

' Update the variables, then close the form.
'
Sub Command_OK_Click ()
  Recog.PenWidth = min_max(1, Int(Val(Edit_Width)), 32)
  Recog.LearnDepth = min_max(1, Int(Val(Edit_Depth)), 8)
  
  Recog.Check_Box_Draw = Check_Box_Draw
  
  Hide
End Sub

' When the user clicks or tabs away, verify the input.
'
Sub Edit_Depth_LostFocus ()
  Edit_Depth = min_max(1, Int(Val(Edit_Depth)), 8)
End Sub

' When the user clicks or tabs away, verify the input.
'
Sub Edit_Width_LostFocus ()
  Edit_Width = min_max(1, Int(Val(Edit_Width)), 32)
End Sub

' Initialize each control with values taken from Recog.
'
Sub Form_Load ()
  Edit_Width = Recog.PenWidth
  Edit_Depth = Recog.LearnDepth

  Check_Box_Draw = Recog.Check_Box_Draw
End Sub

' Decrement the Depth value.
'
Sub Spin_Depth_SpinDown ()
  Edit_Depth = min_max(1, Int(Val(Edit_Depth)) - 1, 8)
End Sub

' Increment the Depth value.
'
Sub Spin_Depth_SpinUp ()
  Edit_Depth = min_max(1, Int(Val(Edit_Depth)) + 1, 8)
End Sub

' Decrement the Width value.
'
Sub Spin_Width_SpinDown ()
  Edit_Width = min_max(1, Int(Val(Edit_Width)) - 1, 32)
End Sub

' Increment the Width value.
'
Sub Spin_Width_SpinUp ()
  Edit_Width = min_max(1, Int(Val(Edit_Width)) + 1, 32)
End Sub

